%define mod_name mailserver_agent
%define mod_full_name %{mod_name}-%{version}

Name:           rubygem-mailserver_agent
Version:        1.0.1
Release:        lp155.2.1
Summary:        Mailserver DKIM Agent
License:        Apache-2.0
Group:          Development/Languages/Ruby
URL:            https://intercom.it
Source:         %{mod_full_name}.gem
Source1:        mailserver_agent.service
Source2:        mailserver_agent.tempfiles
Source3:        mailserver_agent.yml
Source4:        tomte.yml
Source5:        mailserver_agent.logrotate
Source6:        mailserver_agent.sudoers
BuildRequires:  ruby-macros >= 5
BuildRequires:  systemd-rpm-macros
BuildRequires:  sudo
Requires:       amavisd-new
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5

%description
Mailserver DKIM agent provisioning agent

%package -n mailserver_agent
Summary:  Mailserver DKIM Agent
Group:    System/Daemons
Requires: rubygem(%{mod_name}) = %{version}

%description -n mailserver_agent
Mailserver DKIM agent provisioning agent

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  -f

install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_sysconfdir}/tomte
install -d %{buildroot}%{_localstatedir}/lib/tomte
install -d -m 0755 %{buildroot}%{_sysconfdir}/sudoers.d
install -d -m 0755 %{buildroot}%{_sysconfdir}/logrotate.d

install -D -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/mailserver_agent.service
install -D -m 0644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/mailserver_agent.conf
ln -s /usr/sbin/service %{buildroot}%{_sbindir}/rcmailserver_agent
install -D -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/tomte/mailserver_agent.yml
install -D -m 0644 %{SOURCE4} %{buildroot}%{_sysconfdir}/tomte/tomte.yml
install -m 0644 %{SOURCE6} %{buildroot}%{_sysconfdir}/sudoers.d/mailserver_agent
install -m 0644 %{SOURCE5} %{buildroot}%{_sysconfdir}/logrotate.d/mailserver_agent


%gem_packages


%files -n mailserver_agent
%dir %{_sysconfdir}/tomte
%attr(0700, tomte, tomte) %dir %{_localstatedir}/lib/tomte

%config(noreplace) %{_sysconfdir}/tomte/mailserver_agent.yml
%config(noreplace) %{_sysconfdir}/tomte/tomte.yml
%config %{_sysconfdir}/logrotate.d/mailserver_agent
%attr(0440, root, root) %config %{_sysconfdir}/sudoers.d/mailserver_agent

%{_unitdir}/mailserver_agent.service
%{_tmpfilesdir}/mailserver_agent.conf

%{_sbindir}/rcmailserver_agent
%ghost /run/mailserver_agent


%pre -n mailserver_agent
%{_bindir}/getent group  tomte >/dev/null || %{_sbindir}/groupadd -r tomte
%{_bindir}/getent passwd tomte >/dev/null || %{_sbindir}/useradd -r -d %{_localstatedir}/lib/tomte -s /bin/false -c "intercom mail policyd" -g tomte tomte
%service_add_pre mailserver_agent.service
exit 0

%preun -n mailserver_agent
%service_del_preun mailserver_agent.service
exit 0

%post -n mailserver_agent
%tmpfiles_create %_tmpfilesdir/mailserver_agent.conf
%service_add_post mailserver_agent.service
exit 0

%postun -n mailserver_agent
%service_del_postun mailserver_agent.service
exit 0

%changelog
* Thu Jun  6 2024 Angelo Grossini <angelo@intercom.it>
- fix path in systems service
* Fri Dec 15 2023 <rottame@intercom.it>
- honor SSL_VERIFY_NONE env variable
- build as a rubygem
